Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| SWIXML 1.5 (#144)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.swixml
Class Localizer

    java.lang.Object
      org.swixml.Localizer

public class Localizer
extends Object

The `Localizer` class provides consumers with a simple localization tools: `getString(key)`. Locale and ResourceBundle need to be set to use it.

Version:
  $Revision: 1.2 $
Author:
  Wolf Paulus

Constructor Summary
`Localizer()`

Method Summary
`ClassLoader` | `getClassLoader()`
`String` | `getString(String key)` Returns the localized String baseed on the given key.
`boolean` | `isUsable()` Informs about the usablility of this Localizer.
`void` | `setLocale(Locale locale)` Sets this Localizer's locale.
`void` | `setResourceBundle(String bundleName)` Sets this Localizer's ResourceBundle

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Localizer

    public Localizer()

Method Detail

### getString

    public String getString(String key)

  Returns the localized String baseed on the given key. If the key cannot be found, the key is returned insstead.

  Parameters:
    `key` - `String`
  Returns:
    `String` - localized String , or key , if no lacalization is found.

### setLocale

    public void setLocale(Locale locale)

  Sets this Localizer's locale.

  Parameters:
    `locale` - `Locale`

### setResourceBundle

    public void setResourceBundle(String bundleName)
                           throws MissingResourceException

  Sets this Localizer's ResourceBundle

  Parameters:
    `bundleName` - `String`ResourceBundle file / class name
  Throws:
    `MissingResourceException`

### isUsable

    public boolean isUsable()

  Informs about the usablility of this Localizer.

  Returns:
    `boolean` - true if Localizer is setup with Locale and ResourceBundle.

### getClassLoader

    public ClassLoader getClassLoader()

  Returns:
    `ClassLoader` returns the classloader attribute, which has probably been set by the SwingEngine

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| SWIXML 1.5 (#144)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 - 2005 - Wolf Paulus - CarlsbadCubes.com . All rights reserved.